// Eksemp3.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <conio.h>

using namespace std;

int LaesTal(string Tekst)
{
	int Tal;
	cout << Tekst.c_str();
	cin >> Tal;
	return Tal;
}

float BeregnGennemsnit (int Sum, int Antal)
{
	float Gennemsnit;
	Gennemsnit = float(Sum * 1.0 / Antal);
	return Gennemsnit;
}


int _tmain(int argc, _TCHAR* argv[])
{
	int Antal;
	int Sum;
	int Hoejde;
	Antal = 0;
	Sum = 0;
	Hoejde = LaesTal("Indtast elevens højde i cm (stop = 0): ");
	while (Hoejde > 0)
	{
		Antal++;
		Sum = Sum + Hoejde;
		Hoejde = LaesTal("Indtast elevens højde i cm (stop = 0): ");
	}
	cout << "Gennemsnitshøjden er beregnet til: " <<
		setiosflags(ios::fixed) <<
		setw(10) << setprecision(2) <<
		BeregnGennemsnit(Sum, Antal);
	getch();
	return 0;
}

